DateMappingControllerSaveDateMapping Method |
PUT /DateMapping/
Saves or updates a date mapping.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult SaveDateMapping(
[FromBodyAttribute] SaveDateMappingOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function SaveDateMapping (
<FromBodyAttribute> options As SaveDateMappingOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ SaveDateMapping(
[FromBodyAttribute] SaveDateMappingOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member SaveDateMapping :
[<FromBodyAttribute>] options : SaveDateMappingOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ControllersSaveDateMappingOptions
The save date mapping options. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResult
A
DateMappingData object, or a status code indicating the problem.
See Also